version: "3.2"
services:
  ibizlab-cli:
    image: ibiz4j/ibizlab-cli:latest
    environment:
      #git库repo
      - GIT_REPO=http://oauth2:C5zdMHyeAyMwX5Qig-T@demo.ibizlab.cn/t48e9d7d8e2dab3018133378ca1d8a4b6/xftongdev
      #git库分支，不设置默认取master
      - GIT_BRANCH=master
      #git库提交用户名称
      - GIT_USER_NAME=ibizlabcli
      #git库提交用户邮箱
      - GIT_USER_EMAIL=ibizlabcli@ibizsys.net
      #git commit时的message说明
      - GIT_PUSH_MESSAGE=cli
      #是否在发布代码前更新发布引擎程序，不推荐开启
      # - CLI_UPDATE=true
      #内置模板名，不设置该值时自动抓取GIT_REPO的git库根路径下generator.yml中embedTemplates属性
      - TEMPLATENAME=ibizlab-template-ibizedge
      #内置模板版本，不设置该值时自动抓取GIT_REPO的git库根路径下generator.yml中embedTemplates属性
      - TEMPLATEVERSION=1.0-SNAPSHOT
